Ticker Darkpool Trades
Returns the darkpool trades for the given ticker on a given day. Date must be the current or a past date. If no date is given, returns data for the current/last market day.
For real time streaming of darkpool trades, subscribe to the off_lit_trades websocket channel, see https://api.unusualwhales.com/docs/websocket/off-lit-trades.
executed_at is an ISO 8601 timestamp in UTC. trf_executed_at is the time the trade was reported to
the tape.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A single ticker
"AAPL"
Query Parameters
A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.
"2024-01-18T00:00:00.000Z"
The unix time in milliseconds or seconds at which no older results will be returned. Can be used with older_than to paginate by time. Also accepts an ISO date or RFC 3339 datetime (example: 2024-01-25).
"1_715_083_417"
The unix time in milliseconds or seconds at which no newer results will be returned. Can be used with newer_than to paginate by time. Also accepts an ISO date or RFC 3339 datetime (example: 2024-01-25).
"1_715_083_417"
The minimum premium requested trades should have.
x >= 050000
The maximum premium requested trades should have.
150000
The minimum size requested trades should have. Must be a positive integer.
x >= 050000
The maximum size requested trades should have. Must be a positive integer.
150000
The minimum consolidated volume requested trades should have. Must be a positive integer.
x >= 050000
The maximum consolidated volume requested trades should have. Must be a positive integer.
150000
How many items to return. Max: 500. Min: 1. Returns up to 500 when omitted.
1 <= x <= 50010
Whether to sort descending or ascending. Descending by default.
desc, asc "asc"
Filter trades by cancellation status. all includes every trade, cancelled_only includes only cancelled trades, and hide_cancelled excludes cancelled trades while retaining trades with an unset cancellation flag. Defaults to all.
all, cancelled_only, hide_cancelled "hide_cancelled"
The field to order the darkpool trades by. Defaults to executed_at.
executed_at, trf_executed_at, premium, size, volume "premium"
Response
A darkpool trade.
Whether the trade has been cancelled.
true
The trade execution time as an ISO 8601 UTC timestamp.
"2023-02-16T00:59:44.000Z"
The code describing why the trade happened outside of regular market hours. Null if none applies.
sold_out_of_sequence, extended_hours_trade_late_or_out_of_sequence, extended_hours_trade "sold_out_of_sequence"
The market center code.
"L"
The total option premium.
"27723806.00"
The price of the trade.
"18.9904"
The sale condition code. Null if none applies.
contingent_trade, odd_lot_execution, prior_reference_price, average_price_trade "contingent_trade"
The size of the transaction.
6400
The stock ticker.
"AAPL"
The tracking ID of the trade.
71984388012245
The trade code. Null if none applies.
derivative_priced, qualified_contingent_trade, intermarket_sweep "derivative_priced"
The kind of trade settlement.
cash, next_day, seller, regular "cash_settlement"
The ISO 8601 UTC timestamp when the trade was reported to the tape by a Trade Reporting Facility. Only available for trades from 2025-05-01 onwards. It is null for any trade before that date.
"2025-05-02T13:42:11.000Z"
The volume of the ticker for the trading day.
23132119
